Description

I tried QGIS master on Windows 10 (VM running os MacOS) and I noticed that HiDPI displays are not fully supported. There are a lot of

objects which doesn't scale according to system preferences. There are: checkboxes, radial buttons, symbols on layers pane, icons on

styling pane, vertex during line editing, height of some bars and etc.

History

#1 - 2018-02-21 05:01 PM - D M

Can anyone familiar with this issue give an update? My understanding is that support for HiDPI display was going to be included in QGIS 3 -- at the

moment this feature does not appear to have been implemented.

#2 - 2018-02-21 08:35 PM - Nyall Dawson

3.0 makes qgis usable on hidpi. There's still a lot of work needed to add polish, both by qgis and the underlying qt libraries.

#3 - 2018-02-21 08:52 PM - D M

I could not see this issue being addressed in the roadmap. Are people keeping track of this? This issue has not being assigned to anyone either. Is the plan

to release QGIS 3.0 in 2 days with HiDPI support? Could we have an ETA and assign it this issue to a milestone so that people can prioritise their

contributions? The matter of HiDPI display is becoming increasingly important and, on Windows, at least, the QGIS GUI is difficult to navigate at very high

resolutions.

#4 - 2018-02-21 09:44 PM - Nyall Dawson

Qgis development does not work that. It's an open source project and development is not dictated by a formal list of priorities.

See https://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/ for a summary on ways you can get the desired improvements

implemented.

#5 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
